# $Revision: 1.14 $, $Date: 2006/12/10 21:19:48 $
#
# Conditional build:
%bcond_without	gdbm		# build without gdbm backend
%bcond_with	mysql		# build with MySQL backend
%bcond_with	sqlite		# build with SQLite2 backend
#
Summary:	Quick spam filter
Summary(pl):	Szybki filtr antyspamowy
Name:		qsf
Version:	1.2.1
Release:	1
License:	Artistic
Group:		Applications
Source0:	http://dl.sourceforge.net/qsf/%{name}-%{version}.tar.bz2
# Source0-md5:	0972f57766f5d9fe272aafab12d12dbf
URL:		http://www.ivarch.com/programs/qsf.shtml
%{?with_gdbm:BuildRequires:	gdbm-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_sqlite:BuildRequires:	sqlite-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam
than non-spam. It is intended to be used in a procmail recipe to mark
email as being possible spam.

%description -l pl
Quick Spam Filter (qsf) to may, szybki filtr antyspamowy dziaajcy
poprzez uczenie si rozpoznawania sw, ktre czciej wystpuj w
spamie ni nie-spamie. Jest przeznaczony do uywania w reguce
procmaila do oznaczania poczty bdcej prawdopodobnie spamem.

%prep
%setup -q

%build
%configure \
	%{!?with_gdbm:--without-gdbm} \
	%{!?with_mysql:--without-mysql} \
	%{!?with_sqlite:--without-sqlite}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/{NEWS,TODO,postfix-howto}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qsf.spec,v $
Revision 1.14  2006/12/10 21:19:48  charles
- updated to 1.2.1

Revision 1.13  2006/10/02 19:13:07  paszczus
- updated to 1.2.0

Revision 1.12  2006/05/26 10:38:38  charles
- updated to 1.1.7

Revision 1.11  2006/02/18 11:28:46  charles
- updated to 1.1.6

Revision 1.10  2006/01/30 02:19:27  charles
- added more backends (with/without bconds)

Revision 1.9  2006/01/29 18:17:17  bszx
- updated to 1.1.2

Revision 1.8  2005/02/20 20:21:17  adamg
- updated to 1.0.18

Revision 1.7  2005/02/06 19:36:42  adamg
- updated to 1.0.15

Revision 1.6  2004/07/09 21:59:25  adamg
- updated to 1.0.6

Revision 1.5  2004/01/30 01:31:08  pzurowski
- Updated to 0.9.25
- typo

Revision 1.4  2004/01/09 17:33:12  bszx
- updated to 0.9.18

Revision 1.3  2003/12/30 17:49:10  qboosh
- removed COPYING from doc - Artistic license is already in common-licenses package

Revision 1.2  2003/12/26 11:18:21  qboosh
- pl

Revision 1.1  2003/12/25 23:18:30  bszx
- initial revision
